package com.ifish.entity;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: yan.y
 * @Description: tbl_aliyun_device_info
 * @Date: Created in 16:45 2018/1/28
 * @Modified by:
 */
@Entity
@Table(name = "tbl_aliyun_device_info")
public class AliyunDeviceInfo implements Serializable{

    @Id
    @Column(name = "aliyun_device_id")
    private String aliyunDeviceId;

    @Column(name = "user_id")
    private Integer userId;

    @Column(name = "phone_type")
    private String phoneType;

    @Column(name="bind_time",columnDefinition="timestamp")
    private Date bindTime;

    @Column(name="last_update_time",columnDefinition="timestamp")
    private Date lastUpdateTime;

    public String getAliyunDeviceId() {
        return aliyunDeviceId;
    }

    public void setAliyunDeviceId(String aliyunDeviceId) {
        this.aliyunDeviceId = aliyunDeviceId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPhoneType() {
        return phoneType;
    }

    public void setPhoneType(String phoneType) {
        this.phoneType = phoneType;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }

    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }
}
